Page MenuHomePhabricator

Create page Special:MergeLexemes
Closed, ResolvedPublic

Description

  • before merge: dedicated title, sub headline, description, form label (2x), submit button i18n
  • after merge: (in addition) success paragraph containing the two ids treated

similar to item merging page


Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterAdd Special:MergeLexemes without functionality

Event Timeline

Pablo-WMDE triaged this task as Medium priority.Jul 11 2018, 10:54 AM
Pablo-WMDE created this task.
Pablo-WMDE removed the point value for this task.
Pablo-WMDE removed subscribers: Lydia_Pintscher, Pablo-WMDE.
Pablo-WMDE added a subscriber: Lydia_Pintscher.EditedJul 11 2018, 10:58 AM

@Lydia_Pintscher Could you please double check that we actually want to show the lexeme ids in the success message, and not the lemmas as for usual title links to lexeme pages in. We are aware that the opposite is specified in the BDD (T198105) but want to avoid unnecessary roundtrips.

Yeah the IDs there are important because two Items or Lexemes that you merge would usually have the same Label or Lemma. The ID is needed to tell them apart in this particular case.

Change 446760 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Add Special:MergeLexemes without functionality

https://gerrit.wikimedia.org/r/446760

@Lydia_Pintscher We recently had a discussion about (in-field) placeholders regularly popping up as a requirment after a story is done. Have we considered this? Should we add (empty) placeholder translations for the two fields?

Jakob_WMDE added a comment.EditedJul 20 2018, 10:17 AM

@Lydia_Pintscher also, T198105 says the special page description text should say

If you merge two Lexemes, all Lemmas, Statements, Forms and Senses will be moved from one Lexeme to the other.

During code review the question about capitalization of Lexemes, Lemmas, Statements, Forms and Senses came up. Are they supposed to be capitalized?

Placeholder are not needed in this case. Thanks for checking.
Yes they should be capitalized. We should also change the capitalization for Item and Property if we come across them. We've been very inconsistent about that in the past. I've tried to be very consistent about it for anything Lexeme related.

Change 446760 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add Special:MergeLexemes without functionality

https://gerrit.wikimedia.org/r/446760

Lydia_Pintscher changed the task status from Open to Stalled.Aug 1 2018, 9:14 AM
Pablo-WMDE closed this task as Resolved.Aug 1 2018, 9:19 AM
Pablo-WMDE claimed this task.

Followed by T200884 once code is ready to be wired.